Package org.optaplanner.core.impl.domain.lookup

## Class EqualsLookUpStrategy

- java.lang.Object
- - org.optaplanner.core.impl.domain.lookup.EqualsLookUpStrategy

- All Implemented Interfaces:
    `LookUpStrategy`

      public class EqualsLookUpStrategy
      extends Object
      implements LookUpStrategy

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EqualsLookUpStrategy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addWorkingObject​(Map<Object,​Object> idToWorkingObjectMap, Object workingObject)` |
    `<E> E` | `lookUpWorkingObject​(Map<Object,​Object> idToWorkingObjectMap, E externalObject)` |
    `<E> E` | `lookUpWorkingObjectIfExists​(Map<Object,​Object> idToWorkingObjectMap, E externalObject)` |
    `void` | `removeWorkingObject​(Map<Object,​Object> idToWorkingObjectMap, Object workingObject)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EqualsLookUpStrategy

          public EqualsLookUpStrategy()

  - ### Method Detail

    - #### addWorkingObject

          public void addWorkingObject​(Map<Object,​Object> idToWorkingObjectMap,
                                       Object workingObject)

      Specified by:
        `addWorkingObject` in interface `LookUpStrategy`

    - #### removeWorkingObject

          public void removeWorkingObject​(Map<Object,​Object> idToWorkingObjectMap,
                                          Object workingObject)

      Specified by:
        `removeWorkingObject` in interface `LookUpStrategy`

    - #### lookUpWorkingObject

          public <E> E lookUpWorkingObject​(Map<Object,​Object> idToWorkingObjectMap,
                                           E externalObject)

      Specified by:
        `lookUpWorkingObject` in interface `LookUpStrategy`

    - #### lookUpWorkingObjectIfExists

          public <E> E lookUpWorkingObjectIfExists​(Map<Object,​Object> idToWorkingObjectMap,
                                                   E externalObject)

      Specified by:
        `lookUpWorkingObjectIfExists` in interface `LookUpStrategy`